Index: etc/repositories
===================================================================
--- etc/repositories	(revision 85826)
+++ etc/repositories	(working copy)
@@ -9,7 +9,12 @@
 ## BioC version associated with the current R version.
 ## Also, %bm is substituted from the setting of getOption("BioC_mirror")
 ##
+## UCRT3 experimental builds use a repository with experimental
+## builds of binary packages needing compilation, for testing new
+## versions of Rtools.
 menu_name	URL	default	source	win.binary	mac.binary
+CRAN_UCRT3	CRAN_UCRT3	https://www.r-project.org/nosvn/winutf8/ucrt3/CRAN	TRUE	FALSE	TRUE	FALSE
+BIOC_UCRT3	BIOC_UCRT3	https://www.r-project.org/nosvn/winutf8/ucrt3/BIOC	TRUE	FALSE	TRUE	FALSE
 CRAN	CRAN	@CRAN@	TRUE	TRUE	TRUE	TRUE
 BioCsoft	"BioC software"	%bm/packages/%v/bioc	FALSE	TRUE	TRUE	TRUE
 BioCann	"BioC annotation"	%bm/packages/%v/data/annotation	FALSE	TRUE	TRUE	TRUE
Index: src/gnuwin32/installer/JRins.R
===================================================================
--- src/gnuwin32/installer/JRins.R	(revision 85826)
+++ src/gnuwin32/installer/JRins.R	(working copy)
@@ -30,7 +30,7 @@
     srcdir = gsub("/", "\\", srcdir, fixed = TRUE)
 
     Rver <- readLines("../../../VERSION")[1L]
-    Rver <- sub("Under .*$", "Pre-release", Rver)
+    Rver <- sub("Under .*$", "Pre-release-UCRT3", Rver)
     ## This is now over 2^16, so truncate
     SVN <- sub("Revision: ", "", readLines("../../../SVN-REVISION"))[1L]
     SVN <- as.character(as.numeric(SVN) - 50000L)
Index: src/library/tools/R/install.R
===================================================================
--- src/library/tools/R/install.R	(revision 85826)
+++ src/library/tools/R/install.R	(working copy)
@@ -1095,9 +1095,13 @@
             # Installation-time patching was enabled as a temporary measure
             # during the transition from MSVCRT to UCRT, when packages with
             # many reverse dependencies had to be updated to link.
+            #
+            # UCRT3 experimental builds enabled them by default for testing
+            # new versions of Rtools.
 
             # URL or a local directory with patches: ("no" to no patching)
-            it_patches_base <- Sys.getenv("_R_INSTALL_TIME_PATCHES_", "no")
+            it_patches_base <- Sys.getenv("_R_INSTALL_TIME_PATCHES_",
+                 "https://www.r-project.org/nosvn/winutf8/ucrt3/")
 
             # The patches are identified by package name. An index is used
             # to map the name to a directory with patches for a given
